Index: src/Actions/WorldAction/AddEmptyBoundaryAction.def
===================================================================
--- src/Actions/WorldAction/AddEmptyBoundaryAction.def	(revision 24fbf3fd91769be68fa1acf1a82f01ac52df3ca1)
+++ src/Actions/WorldAction/AddEmptyBoundaryAction.def	(revision fc192f60e82753a72ba51f024fbbd313fb147f0f)
@@ -15,4 +15,5 @@
 #define paramtypes (Vector)
 #define paramtokens (WorldAddEmptyBoundaryAction::NAME)
+#define paramdescriptions ("change box to add an empty boundary around all atoms")
 #define paramreferences (boundary)
 
Index: src/Actions/WorldAction/BoundInBoxAction.def
===================================================================
--- src/Actions/WorldAction/BoundInBoxAction.def	(revision 24fbf3fd91769be68fa1acf1a82f01ac52df3ca1)
+++ src/Actions/WorldAction/BoundInBoxAction.def	(revision fc192f60e82753a72ba51f024fbbd313fb147f0f)
@@ -14,4 +14,5 @@
 #undef paramtypes
 #undef paramtokens
+#undef paramdescriptions
 #undef paramreferences
 
Index: src/Actions/WorldAction/CenterInBoxAction.def
===================================================================
--- src/Actions/WorldAction/CenterInBoxAction.def	(revision 24fbf3fd91769be68fa1acf1a82f01ac52df3ca1)
+++ src/Actions/WorldAction/CenterInBoxAction.def	(revision fc192f60e82753a72ba51f024fbbd313fb147f0f)
@@ -15,4 +15,5 @@
 #define paramtypes (Box)
 #define paramtokens (WorldCenterInBoxAction::NAME)
+#define paramdescriptions ("center all atoms in the domain")
 #define paramreferences (cell_size)
 
Index: src/Actions/WorldAction/CenterOnEdgeAction.def
===================================================================
--- src/Actions/WorldAction/CenterOnEdgeAction.def	(revision 24fbf3fd91769be68fa1acf1a82f01ac52df3ca1)
+++ src/Actions/WorldAction/CenterOnEdgeAction.def	(revision fc192f60e82753a72ba51f024fbbd313fb147f0f)
@@ -14,4 +14,5 @@
 #undef paramtypes
 #undef paramtokens
+#undef paramdescriptions
 #undef paramreferences
 
Index: src/Actions/WorldAction/ChangeBoxAction.def
===================================================================
--- src/Actions/WorldAction/ChangeBoxAction.def	(revision 24fbf3fd91769be68fa1acf1a82f01ac52df3ca1)
+++ src/Actions/WorldAction/ChangeBoxAction.def	(revision fc192f60e82753a72ba51f024fbbd313fb147f0f)
@@ -15,4 +15,5 @@
 #define paramtypes (Box)
 #define paramtokens (WorldChangeBoxAction::NAME)
+#define paramdescriptions ("change the symmetrc matrix of the simulation domain")
 #define paramreferences (cell_size)
 
Index: src/Actions/WorldAction/InputAction.def
===================================================================
--- src/Actions/WorldAction/InputAction.def	(revision 24fbf3fd91769be68fa1acf1a82f01ac52df3ca1)
+++ src/Actions/WorldAction/InputAction.def	(revision fc192f60e82753a72ba51f024fbbd313fb147f0f)
@@ -14,4 +14,5 @@
 #define paramtypes (boost::filesystem::path)
 #define paramtokens (WorldInputAction::NAME)
+#define paramdescriptions ("specify input files")
 #define paramreferences (filename)
 
Index: src/Actions/WorldAction/OutputAction.def
===================================================================
--- src/Actions/WorldAction/OutputAction.def	(revision 24fbf3fd91769be68fa1acf1a82f01ac52df3ca1)
+++ src/Actions/WorldAction/OutputAction.def	(revision fc192f60e82753a72ba51f024fbbd313fb147f0f)
@@ -14,4 +14,5 @@
 #undef paramtypes
 #undef paramtokens
+#undef paramdescriptions
 #undef paramreferences
 
Index: src/Actions/WorldAction/RepeatBoxAction.def
===================================================================
--- src/Actions/WorldAction/RepeatBoxAction.def	(revision 24fbf3fd91769be68fa1acf1a82f01ac52df3ca1)
+++ src/Actions/WorldAction/RepeatBoxAction.def	(revision fc192f60e82753a72ba51f024fbbd313fb147f0f)
@@ -15,4 +15,5 @@
 #define paramtypes (Vector)
 #define paramtokens (WorldRepeatBoxAction::NAME)
+#define paramdescriptions ("create periodic copies of the simulation box per axis")
 #define paramreferences (Repeater)
 
Index: src/Actions/WorldAction/ScaleBoxAction.def
===================================================================
--- src/Actions/WorldAction/ScaleBoxAction.def	(revision 24fbf3fd91769be68fa1acf1a82f01ac52df3ca1)
+++ src/Actions/WorldAction/ScaleBoxAction.def	(revision fc192f60e82753a72ba51f024fbbd313fb147f0f)
@@ -15,4 +15,5 @@
 #define paramtypes (Vector)
 #define paramtokens (WorldScaleBoxAction::NAME)
+#define paramdescriptions ("scale box and atomic positions inside")
 #define paramreferences (Scaler)
 
Index: src/Actions/WorldAction/SetDefaultNameAction.def
===================================================================
--- src/Actions/WorldAction/SetDefaultNameAction.def	(revision 24fbf3fd91769be68fa1acf1a82f01ac52df3ca1)
+++ src/Actions/WorldAction/SetDefaultNameAction.def	(revision fc192f60e82753a72ba51f024fbbd313fb147f0f)
@@ -14,4 +14,5 @@
 #define paramtypes (std::string)
 #define paramtokens (WorldSetDefaultNameAction::NAME)
+#define paramdescriptions ("set the default name of new molecules")
 #define paramreferences (newname)
 
Index: src/Actions/WorldAction/SetGaussianBasisAction.def
===================================================================
--- src/Actions/WorldAction/SetGaussianBasisAction.def	(revision 24fbf3fd91769be68fa1acf1a82f01ac52df3ca1)
+++ src/Actions/WorldAction/SetGaussianBasisAction.def	(revision fc192f60e82753a72ba51f024fbbd313fb147f0f)
@@ -14,4 +14,5 @@
 #define paramtypes (std::string)
 #define paramtokens (WorldSetGaussianBasisAction::NAME)
+#define paramdescriptions ("set the name of the gaussian basis set for MPQC")
 #define paramreferences (newname)
 
Index: src/Actions/WorldAction/SetOutputFormatsAction.def
===================================================================
--- src/Actions/WorldAction/SetOutputFormatsAction.def	(revision 24fbf3fd91769be68fa1acf1a82f01ac52df3ca1)
+++ src/Actions/WorldAction/SetOutputFormatsAction.def	(revision fc192f60e82753a72ba51f024fbbd313fb147f0f)
@@ -14,4 +14,5 @@
 #define paramtypes (vector<std::string>)
 #define paramtokens (WorldSetOutputFormatsAction::NAME)
+#define paramdescriptions ("specify output formats")
 #define paramreferences (FormatList)
 
